# Interface ClassFile.Option

All Known Subinterfaces:
  `ClassFile.AttributeMapperOption, ClassFile.ClassHierarchyResolverOption`

All Known Implementing Classes:
  `ClassFile.AttributesProcessingOption, ClassFile.ConstantPoolSharingOption, ClassFile.DeadCodeOption, ClassFile.DeadLabelsOption, ClassFile.DebugElementsOption, ClassFile.LineNumbersOption, ClassFile.ShortJumpsOption, ClassFile.StackMapsOption`

Enclosing interface:
  `ClassFile`

public static sealed interface ClassFile.Option permits ClassFile.AttributeMapperOption, ClassFile.ClassHierarchyResolverOption, ClassFile.ConstantPoolSharingOption, ClassFile.DeadCodeOption, ClassFile.DeadLabelsOption, ClassFile.DebugElementsOption, ClassFile.LineNumbersOption, ClassFile.ShortJumpsOption, ClassFile.StackMapsOption, ClassFile.AttributesProcessingOption
An option that affects the parsing or writing of `class` files.

Sealed Class Hierarchy Graph:
Since:
  24
See Also:
  - Options